Subject: Re: telnet cannot see mount drive - another method
From: Ryan Winter <[email-masked]>
To: Tiffany Chan <[email-masked]>
Cc: [email-masked]
Date: 14 Jan 2002 12:59:07 +0800

I had a problem with "service for Unix 2.0" where if you telnet in, and
access the nfs mounted drive, then any symlinks on that drive would play
up (disappear and stuff). They nfs was fine when accessed locally both
through windows and cygwin.

Have you seen/worked around this problem?

Ryan

On Fri, 2002-01-11 at 14:36, Tiffany Chan wrote:
> I have try another method to "cd" to another server
> rather than using "mount" or "net use". 
> In my case, I want to get/put files from w2k advanced
> server to/from HP-Unix Server.
> 
> ---------------        			        ----------------
> Cygwin in w2k					HP-Unix
>  		   <--User Mapping by SFU -->
> /home/UserA					/upload/UserA 
> Owner=UserA:GroupA				Owner=UserA:GroupA Mode:755
> 						
> 						Under /upload/UserA,
> 						755 UserA:GroupA FileOne
> 						755 UserA:GroupA DirOne
> ---------------					----------------
> 
> I installed a software "Service For Unix 2.0" (SFU)
> which is used to map userid and group between w2k and
> Unix. 
> 
> The Unix Server acts as NFS server. I telnet to w2k
> using Cygwin, logon as UserA and type
> $cd "\\\UnixServer\\upload\\UserA"
> $ls -l
> rw-r--r-- UserA:GroupA FileOne
> rwxr-xr-x UserA:GroupA DirOne
> 
> The ownership is correct, but the mode go wrong. When
> I type
> $chmod 755 FileOne
> The mode of FileOne also 644 shown in Cygwin. 755
> shown in Unix.
> 
> UserA can delete FileOne in Cygwin. Thus I think the
> ownership is mapped between w2k and Unix correctly. 
> 
> What's wrong with the "mode" ? Did it related to
> "mapping leak" ? 
> How to shown 755 in Cygwin when I type `chown 755
> FileOne` in `\\UnixServer\upload\UserA` ?
> Would you mind to help me ? Thanks a lot !
> 
> 
> 
> >Re: telnet cannot see mount drive
> >From: Corinna Vinschen <cygwin at cygwin dot com> 
> >To: cygwin at cygwin dot com 
> >Date: Thu, 10 Jan 2002 13:45:12 +0100 
> >Subject: Re: telnet cannot see mount drive 
> >References:
> <[email-masked]> 
> 
> --------------------------------------------------------------------------------
> 
> >On Thu, Jan 10, 2002 at 09:59:16AM +0000, Tiffany
> Chan wrote:
> >> I mapped network drive (h:) in network
> neighboornood
> >> in w2k SP2 advanced server. The network drive (h:)
> can
> >> be accessed in both w2k "My computer" , w2k command
> >> line "cd" and also in shortcut of Cygwin in w2k
> >> desktop.
> >> 
> >> But when I telnet to the w2k server using Cygwin ,
> >> type "mount". I cannot see h: or /cygdrive/h:, I
> also
> >> try to use mount -s h: \\server\folder, but it does
> >> not work. I cannot cd to h:
> >> 
> >> I telnet using w2k telnet server. I see that the
> >> network drive is mapped by typing "mount", but it
> show
> >> the status is "not available". also cannot "cd" to
> it.
> >> 
> >> Would you mind to help me ? Thanks
> 
> >That's how it works, unfortunately.  When telnetting
> into the box
> >you're running in another logon session.  You have no
> access
> >to the mapped drives of the same user when logged on
> in a
> >desktop session.
> 
> >Workaround:  Create a new drive mapping *inside* your
> telnet session
> >using another drive letter:
> 
> >    net use J: ....
> 
> >But *DON'T FORGET* to release the drive mapping
> before logging
> >out that very telnet session.  Otherwise this drive
> letter
> >is never ever usable as long as the machine isn't
> rebooted:
> 
> >    net use J: /delete
> 
> >Corinna
> 
> >-- 
> >Corinna Vinschen                  Please, send mails
> regarding Cygwin to
> >Cygwin Developer                               
> mailto:[email-masked]
> >Red Hat, Inc.
> 
> >--
> >Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> >Bug reporting:         http://cygwin.com/bugs.html
> >Documentation:         http://cygwin.com/docs.html
> >FAQ:                   http://cygwin.com/faq/
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Everything you'll ever need on one web page
> from News and Sport to Email and Music Charts
> http://uk.my.yahoo.com
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/